## kcollectd 0.8.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)
cmake_policy(SET CMP0011 OLD)

project(kcollectd)
set(VERSION 0.8.2)

find_package(KDE4 REQUIRED)
include (KDE4Defaults)

add_definitions(-Wall -g)

# Basedir for collectd
if(NOT RRD_BASEDIR)
  set(RRD_BASEDIR "/var/lib/collectd/rrd")
endif(NOT RRD_BASEDIR)
set(RRD_BASEDIR ${RRD_BASEDIR} CACHE PATH "path to collectd-data")

# config.h
configure_file(config.h.in config.h)

subdirs(kcollectd po doc)

## kcollectd 0.9

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 cmake_policy(SET CMP0011 OLD)
 
 project(kcollectd)
-set(VERSION 0.8.2)
+set(VERSION 0.9)
 
 find_package(KDE4 REQUIRED)
 include (KDE4Defaults)

=== doc/CMakeLists.txt ===
subdirs(en)

=== kcollectd/CMakeLists.txt ===

set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAG} ${KDE4_ENABLE_EXCEPTIONS}")

find_package(Boost COMPONENTS filesystem system)

kde4_add_executable(kcollectd 
  graph.cc
  gui.cc
  kcollectd.cc
  misc.cc
  rrd_interface.cc
  timeaxis.cc)
set(rrd_LIBRARIES rrd)
include_directories(${KDE4_INCLUDES} ${Boost_INCLUDE_DIRS})
target_link_libraries(kcollectd 
  ${KDE4_KDEUI_LIBS} 
  ${KDE4_KIO_LIBS} 
  ${Boost_LIBRARIES} 
  ${rrd_LIBRARIES})
install(TARGETS kcollectd  ${INSTALL_TARGETS_DEFAULT_ARGS})

# desktop-file
install(FILES kcollectd.desktop DESTINATION ${XDG_APPS_INSTALL_DIR})

# mime-type
# for KDE 4.2 we require at least version 0.23
set(SHARED_MIME_INFO_MINIMUM_VERSION "0.23")
find_package(SharedMimeInfo REQUIRED)
install(FILES kcollectd.xml DESTINATION ${XDG_MIME_INSTALL_DIR})
update_xdg_mimetypes(${XDG_MIME_INSTALL_DIR})

subdirs(icons)

=== doc/en/CMakeLists.txt ===
kde4_create_handbook(index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/en SUBDIR kcollectd)

=== kcollectd/icons/CMakeLists.txt ===


kde4_install_icons(${ICON_INSTALL_DIR})

=== debian/changelog ===
kcollectd (0.9-4build1) bionic; urgency=medium

  * No-change rebuild for boost soname change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 26 Oct 2017 17:17:08 +0000

kcollectd (0.9-4) unstable; urgency=medium

  * QA upload.
  * Add Build-Depends: collectd to only build kcollectd for architectures where
    it is installable, thanks to Adrian Bunk.  (Closes: #845689)

 -- Andreas Beckmann <anbe@debian.org>  Sat, 10 Dec 2016 13:23:23 +0100

kcollectd (0.9-3) unstable; urgency=medium

  [ Mattia Rizzolo ]
  * QA upload.
  * Orphan the package.  See #840320
  * Add Vcs-* fields pointing to repository on collab-maint
  * Use source format 3.0 (quilt)
  * Convert patches into quilt patches.
  * Run wrap-and-sort -ast.
  * convert d/rules to use the dh sequencer.
  * Bump debhelper compat level to 10.
  * Bump Standards-Version to 3.9.8, no changes needed.

  [ Justin B Rye ]
  * Rewrite description.  Closes: #620022, #687354

  [ Logan Rosen ]
  * Add patch to fix FTBFS with gcc 6.  Closes: #831129

 -- Mattia Rizzolo <mattia@debian.org>  Mon, 10 Oct 2016 15:36:41 +0000

kcollectd (0.9-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * kcollectd/gui.cc, kcollectd/kcollectd.cc:
    - Port to new boost1.46 filesystem API (Closes: #624931)
  * doc/en/index.docbook:
    - Bump doctype version to 4.2 to avoid FTBFS.
  * debian/control:
    - Promote collectd to Depends (Closes: #620023).

 -- Luca Falavigna <dktrkranz@debian.org>  Thu, 25 Aug 2011 00:30:43 +0200

kcollectd (0.9-2) unstable; urgency=low

  * Added build-dependencies on shared-mime-info, since this 
    dependency has been removed from kdelibs5.
    (Closes: #581322, #582557).

 -- M G Berberich <berberic@fmi.uni-passau.de>  Fri, 21 May 2010 22:20:56 +0200

kcollectd (0.9-1) unstable; urgency=low

  * New upstream release.

 -- M G Berberich <berberic@fmi.uni-passau.de>  Sun, 07 Feb 2010 20:03:42 +0100

kcollectd (0.8.2-1) unstable; urgency=low

  * New upstream release.
    - Fixed build failure when using binutils-gold (Closes: #554939).

 -- M G Berberich <berberic@fmi.uni-passau.de>  Mon, 30 Nov 2009 22:06:55 +0100

kcollectd (0.8.1-1) unstable; urgency=low

  * Initial Debian upload (Closes: #533080).
  * New upstream release.

 -- M G Berberich <berberic@fmi.uni-passau.de>  Sun, 11 Oct 2009 17:27:45 +0200

kcollectd (0.8-1) unstable; urgency=low

  * Changed description and packaging-licence.
  * New upstream release.
  
 -- M G Berberich <berberic@fmi.uni-passau.de>  Sun, 07 Jun 2009 18:52:24 +0200

kcollectd (0.6-1) unstable; urgency=low

  * New upstream release.

 -- M G Berberich <berberic@fmi.uni-passau.de>  Wed, 06 May 2009 21:54:24 +0200

kcollectd (0.5-1) unstable; urgency=low

  * New upstream release.

 -- M G Berberich <berberic@fmi.uni-passau.de>  Tue, 28 Apr 2009 23:16:51 +0200

kcollectd (0.4-1) unstable; urgency=low

  * New upstream release.

 -- M G Berberich <berberic@fmi.uni-passau.de>  Sun, 19 Apr 2009 13:49:28 +0200

kcollectd (0.3-5) unstable; urgency=low

  * Dependencies corrected.

 -- M G Berberich <berberic@fmi.uni-passau.de>  Mon, 23 Mar 2009 19:22:55 +0100

kcollectd (0.3-4) unstable; urgency=low

  * Changed the find-qt3-moc method to configure option.

 -- M G Berberich <berberic@fmi.uni-passau.de>  Fri, 20 Feb 2009 22:34:04 +0100

kcollectd (0.3-3) unstable; urgency=low

  * Fixed mysterious qobject-problem - hopefully.

 -- M G Berberich <berberic@fmi.uni-passau.de>  Fri, 20 Feb 2009 10:11:37 +0100

kcollectd (0.3-2) unstable; urgency=low

  * Fixed moc-path problem.

 -- M G Berberich <berberic@fmi.uni-passau.de>  Mon, 09 Feb 2009 21:35:53 +0100

kcollectd (0.3-1) unstable; urgency=low

  * New upstream.

 -- M G Berberich <berberic@fmi.uni-passau.de>  Sun, 11 Jan 2009 14:02:40 +0100

kcollectd (0.2-1) unstable; urgency=low

  * New upstream.

 -- M G Berberich <berberic@fmi.uni-passau.de>  Thu, 31 Jul 2008 20:46:00 +0200

kcollectd (0.1-1) unstable; urgency=low

  * Initial release.

 -- M G Berberich <berberic@fmi.uni-passau.de>  Thu, 10 Jul 2008 21:52:18 +0200

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1

%:
	dh $@

override_dh_compress:
	dh_compress -Xdocbook

=== debian/watch ===
version=3
http://www.forwiss.uni-passau.de/~berberic/Linux/kcollectd/kcollectd-(.*)\.tar\.(?:bz2|gz)

## kcollectd 0.10.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0)
cmake_policy(SET CMP0063 NEW)

project(kcollectd VERSION 0.10.2)

find_package(ECM REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules/)

set(CMAKE_AUTOMOC ON)
set(CMAKE_INCLUDE_CURRENT_DIR ON)

include(FindPkgConfig)
include(KDEInstallDirs)
include(KDECompilerSettings)
include(KDECMakeSettings)
include(FeatureSummary)
include(ECMInstallIcons)

find_package(Qt5 5.7.0 CONFIG REQUIRED Core Widgets Gui)

# Load the frameworks we need
find_package(KF5 REQUIRED COMPONENTS
  Config
  DocTools
  GuiAddons
  KIO
  I18n
  XmlGui
  IconThemes
  WidgetsAddons
)

find_package(Boost COMPONENTS filesystem system)

add_definitions(-Wall -g)

# Basedir for collectd
if(NOT RRD_BASEDIR)
  set(RRD_BASEDIR "/var/lib/collectd/rrd")
endif(NOT RRD_BASEDIR)
set(RRD_BASEDIR ${RRD_BASEDIR} CACHE PATH "path to collectd-data")

# config.h
configure_file(config.h.in config.h)

include_directories(${CMAKE_SOURCE_DIR}
    ${CMAKE_CURRENT_SOURCE_DIR}
    ${CMAKE_CURRENT_BINARY_DIR}
    ${Boost_INCLUDE_DIRS} )

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

subdirs(kcollectd po doc)

=== kcollectd/CMakeLists.txt ===
project (kcollectd)

set(KCOLLECTD_ICONS_PNG
    ${CMAKE_CURRENT_SOURCE_DIR}/icons/16-apps-kcollectd.png
    ${CMAKE_CURRENT_SOURCE_DIR}/icons/22-apps-kcollectd.png
    ${CMAKE_CURRENT_SOURCE_DIR}/icons/32-apps-kcollectd.png
    ${CMAKE_CURRENT_SOURCE_DIR}/icons/48-apps-kcollectd.png
    ${CMAKE_CURRENT_SOURCE_DIR}/icons/64-apps-kcollectd.png
    ${CMAKE_CURRENT_SOURCE_DIR}/icons/128-apps-kcollectd.png
)

set(KCOLLECTD_ICONS_SVG
${CMAKE_CURRENT_SOURCE_DIR}/icons/sc-apps-kcollectd.svgz
)


set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAG}")

add_executable(kcollectd
  graph.cc
  gui.cc
  kcollectd.cc
  misc.cc
  rrd_interface.cc
  timeaxis.cc)
set(rrd_LIBRARIES rrd)

target_link_libraries(kcollectd
PUBLIC
  KF5::XmlGui
  KF5::WidgetsAddons
  KF5::IconThemes
  KF5::I18n
  Qt5::Core
  Qt5::Widgets
  Qt5::Gui
  ${Boost_LIBRARIES}
  ${rrd_LIBRARIES}
)
install(TARGETS kcollectd  ${INSTALL_TARGETS_DEFAULT_ARGS})

# desktop-file
install(FILES kcollectd.desktop DESTINATION ${XDG_APPS_INSTALL_DIR})

# mime-type
# for KDE 4.2 we require at least version 0.23
set(SHARED_MIME_INFO_MINIMUM_VERSION "0.23")
find_package(SharedMimeInfo REQUIRED)
install(FILES kcollectd.xml DESTINATION ${XDG_MIME_INSTALL_DIR})
update_xdg_mimetypes(${XDG_MIME_INSTALL_DIR})

=== debian/changelog ===
kcollectd (0.10.2-2) unstable; urgency=medium

  * Bump Standards-Version to 4.4.1, no changes needed.

 -- Antonio Russo <antonio.e.russo@gmail.com>  Sat, 30 Nov 2019 22:01:59 -0700

kcollectd (0.10.2-1) unstable; urgency=medium

  * Update debian/control for inclusion in Qt/KDE.
  * Squash and clean up changelog/unreleased versions.
  * Reference both sponsorship-requests and WNPP bugs.  (Closes: #939293)
  * Tidy up debian directory.
  * Move to Qt/KDE team.
  * Add missing build-dependencies.
  * New upstream release.  (Closes: #814935, #874938, #912460)
  * Change upstream to myself.  (Closes: #927455)
  * Change maintainer to myself.  (Closes: #935485)
  * Enable hardening.
  * Bump Standards-Version to 4.4.0.
  * Build-Depends on pkg-kde-tools.
  * Make copyright machine-readable.
  * Add upstream/metadata file.
  * Remove trailing whitespace.
  * Fix other lintian errors.
  * Change priority to optional.
  * Directly watch for git tags.
  * Drop Debian patches included upstream.

 -- Antonio Russo <antonio.e.russo@gmail.com>  Wed, 04 Sep 2019 19:27:10 -0600

kcollectd (0.9-5) unstable; urgency=medium

  * QA upload.
  * Switch transitional khelpcenter4 suggest to khelpcenter. (Closes: #886537)

 -- Pino Toscano <pino@debian.org>  Mon, 16 Apr 2018 08:29:00 +0200

=== debian/control ===
Source: kcollectd
Section: utils
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Antonio Russo <antonio.e.russo@gmail.com>
Build-Depends: cmake,
               collectd,
               debhelper-compat (= 12),
               extra-cmake-modules,
               libboost-filesystem-dev,
               libkf5config-dev,
               libkf5doctools-dev,
               libkf5guiaddons-dev,
               libkf5i18n-dev,
               libkf5kdelibs4support-data,
               libkf5kio-dev,
               libkf5widgetsaddons-dev,
               libkf5xmlgui-dev,
               librrd-dev,
               pkg-config,
               pkg-kde-tools,
               qtbase5-dev,
               shared-mime-info
Standards-Version: 4.4.1
Homepage: https://gitlab.com/aerusso/kcollectd
Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/kcollectd.git
Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/kcollectd

Package: kcollectd
Architecture: any
Depends: collectd, ${misc:Depends}, ${shlibs:Depends}
Suggests: khelpcenter
Description: simple collectd graphing front-end for KDE
 This package provides a basic KDE application for viewing RRD files
 created by collectd, the system statistics storage daemon. It allows
 easy mouse-driven navigation through data collections and can be used
 as a virtual chart recorder.

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

export CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
export CFLAGS:=$(shell dpkg-buildflags --get CFLAGS) $(CPPFLAGS)
export CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS) $(CPPFLAGS)
export LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)

%:
	dh $@ --with kde

override_dh_auto_configure:
	dh_auto_configure -Skde

override_dh_compress:
	dh_compress -Xdocbook

=== debian/watch ===
version=4
opts="mode=git,pgpmode=gittag" https://gitlab.com/aerusso/kcollectd.git \
  refs/tags/v([\d\.]+)

## kcollectd 0.11.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 cmake_minimum_required(VERSION 3.0)
 cmake_policy(SET CMP0063 NEW)
 
-project(kcollectd VERSION 0.10.2)
+project(kcollectd VERSION 0.11.0)
 
 find_package(ECM REQUIRED NO_MODULE)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

=== doc/CMakeLists.txt ===
subdirs(en)

kdoctools_create_manpage(man-kcollectd.1.docbook 1 INSTALL_DESTINATION ${KDE_INSTALL_MANDIR})

=== kcollectd/CMakeLists.txt ===
--- 
+++ 
@@ -13,8 +13,22 @@
 ${CMAKE_CURRENT_SOURCE_DIR}/icons/sc-apps-kcollectd.svgz
 )
 
+set(KCOLLECTD_MIME_ICONS_PNG
+    ${CMAKE_CURRENT_SOURCE_DIR}/icons/16-mimetypes-application-x-kcollectd.png
+    ${CMAKE_CURRENT_SOURCE_DIR}/icons/22-mimetypes-application-x-kcollectd.png
+    ${CMAKE_CURRENT_SOURCE_DIR}/icons/32-mimetypes-application-x-kcollectd.png
+    ${CMAKE_CURRENT_SOURCE_DIR}/icons/48-mimetypes-application-x-kcollectd.png
+    ${CMAKE_CURRENT_SOURCE_DIR}/icons/64-mimetypes-application-x-kcollectd.png
+    ${CMAKE_CURRENT_SOURCE_DIR}/icons/128-mimetypes-application-x-kcollectd.png
+)
 
-set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAG}")
+set(KCOLLECTD_MIME_ICONS_SVG
+    ${CMAKE_CURRENT_SOURCE_DIR}/icons/sc-mimetypes-application-x-kcollectd.svgz
+)
+
+ecm_install_icons(
+    ICONS ${KCOLLECTD_ICONS_PNG} ${KCOLLECTD_ICONS_SVG} ${KCOLLECTD_MIME_ICONS_PNG} ${KCOLLECTD_MIME_ICONS_SVG}
+    DESTINATION ${ICON_INSTALL_DIR})
 
 add_executable(kcollectd
   graph.cc
@@ -24,6 +38,8 @@
   rrd_interface.cc
   timeaxis.cc)
 set(rrd_LIBRARIES rrd)
+
+kde_target_enable_exceptions(kcollectd PRIVATE)
 
 target_link_libraries(kcollectd
 PUBLIC

=== doc/en/CMakeLists.txt ===
kdoctools_create_handbook(index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/en SUBDIR kcollectd)

=== debian/changelog ===
kcollectd (0.11.0-1) unstable; urgency=medium

  * New upstream release 0.11.0.
    - Includes better handling of long paths.
  * Remove upstreamed patches.
  * Upstream changes to manual pages.
  * Add Rules-Requires-Root: no.
  * Update upstream website.
  * Refresh upstream signing key.
  * Update debian/watch.

 -- Antonio Russo <antonio.e.russo@gmail.com>  Sun, 23 Feb 2020 11:55:48 -0700

kcollectd (0.10.2-3) unstable; urgency=medium

  * Team upload.
  * Replace the kde dh addon (which is for kde 4.x stuff) with the kf5 one.
  * Remove the overrides of dh_auto_configure, and dh_compress, as they do not
    add anything new than what the commands with the kf5 dh addon do.
  * Do not manually export CPPFLAGS, CFLAGS, CXXFLAGS, and LDFLAGS, as the
    right values for them are already passed to cmake by the dh buildsystem.
  * Update the build dependencies according to the upstream build system:
    - add libkf5iconthemes-dev
    - explicitly add gettext
  * Add the configuration for the CI on salsa.
  * Make sure to properly use all the build flags:
    - backport upstream commit 83e217496b0f0ab05d168485062312830c8fb651 to
      enable the C++ exceptions; patch
      upstream_build-properly-enable-the-C-exceptions.patch
    - backport upstream commit 6410ffb8eca0f8f0cf0dcd49cdb8b25ef8688114 to not
      reset CXXFLAGS; patch upstream_build-do-not-override-CXXFLAGS.patch
  * Bump Standards-Version to 4.5.0, no changes required.

 -- Pino Toscano <pino@debian.org>  Sun, 23 Feb 2020 18:19:52 +0100

=== debian/control ===
--- 
+++ 
@@ -7,11 +7,13 @@
                collectd,
                debhelper-compat (= 12),
                extra-cmake-modules,
+               gettext,
                libboost-filesystem-dev,
                libkf5config-dev,
                libkf5doctools-dev,
                libkf5guiaddons-dev,
                libkf5i18n-dev,
+               libkf5iconthemes-dev,
                libkf5kdelibs4support-data,
                libkf5kio-dev,
                libkf5widgetsaddons-dev,
@@ -21,8 +23,9 @@
                pkg-kde-tools,
                qtbase5-dev,
                shared-mime-info
-Standards-Version: 4.4.1
-Homepage: https://gitlab.com/aerusso/kcollectd
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
+Homepage: https://www.antonioerusso.com/projects/kcollectd
 Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/kcollectd.git
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/kcollectd

## kcollectd 0.11.99.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 cmake_minimum_required(VERSION 3.0)
 cmake_policy(SET CMP0063 NEW)
 
-project(kcollectd VERSION 0.11.0)
+project(kcollectd VERSION 0.11.99.0)
 
 find_package(ECM REQUIRED NO_MODULE)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
@@ -39,7 +39,7 @@
 if(NOT RRD_BASEDIR)
   set(RRD_BASEDIR "/var/lib/collectd/rrd")
 endif(NOT RRD_BASEDIR)
-set(RRD_BASEDIR ${RRD_BASEDIR} CACHE PATH "path to collectd-data")
+set(RRD_BASEDIR ${RRD_BASEDIR} CACHE PATH "default path to collectd-data")
 
 # config.h
 configure_file(config.h.in config.h)

=== debian/changelog ===
kcollectd (0.11.99.0-1) unstable; urgency=medium

  * New upstream release 0.11.99.0.
    - Includes --basedir CLI option to select directory containing RRDs.
  * Do not depend on collectd at build or runtime.
  * Bump debhelper-compat to 13 (no changes).

 -- Antonio Russo <antonio.e.russo@gmail.com>  Mon, 13 Jul 2020 18:45:46 -0600

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,7 @@
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Antonio Russo <antonio.e.russo@gmail.com>
 Build-Depends: cmake,
-               collectd,
-               debhelper-compat (= 12),
+               debhelper-compat (= 13),
                extra-cmake-modules,
                gettext,
                libboost-filesystem-dev,
@@ -31,7 +30,8 @@
 
 Package: kcollectd
 Architecture: any
-Depends: collectd, ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Recommends: collectd
 Suggests: khelpcenter
 Description: simple collectd graphing front-end for KDE
  This package provides a basic KDE application for viewing RRD files

## kcollectd 0.12.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,8 @@
 cmake_minimum_required(VERSION 3.0)
 cmake_policy(SET CMP0063 NEW)
 
-project(kcollectd VERSION 0.11.99.0)
+project(kcollectd VERSION 0.12.0)
+set(PROJECT_RELEASE_DATE 2020-12-31)
 
 find_package(ECM REQUIRED NO_MODULE)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

=== debian/changelog ===
kcollectd (0.12.0-1) unstable; urgency=medium

  * New upstream release 0.12.0.
    - More descriptive instructions (Closes: #962382)
  * Remove upstreamed patches.
  * Update my email.
  * Bump Standards-Version to 4.5.1, no changes required.

 -- Antonio Russo <aerusso@aerusso.net>  Thu, 31 Dec 2020 14:29:32 -0700

kcollectd (0.11.99.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * [0327a53] Fix FTBFS against boost_1.74. (Closes: #977229)

 -- Anton Gladky <gladk@debian.org>  Fri, 18 Dec 2020 19:44:12 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: utils
 Priority: optional
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Antonio Russo <antonio.e.russo@gmail.com>
+Uploaders: Antonio Russo <aerusso@aerusso.net>
 Build-Depends: cmake,
                debhelper-compat (= 13),
                extra-cmake-modules,
@@ -22,7 +22,7 @@
                pkg-kde-tools,
                qtbase5-dev,
                shared-mime-info
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: https://www.antonioerusso.com/projects/kcollectd
 Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/kcollectd.git

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with kf5

## kcollectd 0.12.1

=== CMakeLists.txt ===
project (kcollectd)

set(KCOLLECTD_ICONS_PNG
    ${CMAKE_CURRENT_SOURCE_DIR}/icons/16-apps-kcollectd.png
    ${CMAKE_CURRENT_SOURCE_DIR}/icons/22-apps-kcollectd.png
    ${CMAKE_CURRENT_SOURCE_DIR}/icons/32-apps-kcollectd.png
    ${CMAKE_CURRENT_SOURCE_DIR}/icons/48-apps-kcollectd.png
    ${CMAKE_CURRENT_SOURCE_DIR}/icons/64-apps-kcollectd.png
    ${CMAKE_CURRENT_SOURCE_DIR}/icons/128-apps-kcollectd.png
)

set(KCOLLECTD_ICONS_SVG
${CMAKE_CURRENT_SOURCE_DIR}/icons/sc-apps-kcollectd.svgz
)

set(KCOLLECTD_MIME_ICONS_PNG
    ${CMAKE_CURRENT_SOURCE_DIR}/icons/16-mimetypes-application-x-kcollectd.png
    ${CMAKE_CURRENT_SOURCE_DIR}/icons/22-mimetypes-application-x-kcollectd.png
    ${CMAKE_CURRENT_SOURCE_DIR}/icons/32-mimetypes-application-x-kcollectd.png
    ${CMAKE_CURRENT_SOURCE_DIR}/icons/48-mimetypes-application-x-kcollectd.png
    ${CMAKE_CURRENT_SOURCE_DIR}/icons/64-mimetypes-application-x-kcollectd.png
    ${CMAKE_CURRENT_SOURCE_DIR}/icons/128-mimetypes-application-x-kcollectd.png
)

set(KCOLLECTD_MIME_ICONS_SVG
    ${CMAKE_CURRENT_SOURCE_DIR}/icons/sc-mimetypes-application-x-kcollectd.svgz
)

ecm_install_icons(
    ICONS ${KCOLLECTD_ICONS_PNG} ${KCOLLECTD_ICONS_SVG} ${KCOLLECTD_MIME_ICONS_PNG} ${KCOLLECTD_MIME_ICONS_SVG}
    DESTINATION ${ICON_INSTALL_DIR})

add_executable(kcollectd
  graph.cc
  gui.cc
  kcollectd.cc
  misc.cc
  rrd_interface.cc
  timeaxis.cc)
set(rrd_LIBRARIES rrd)

kde_target_enable_exceptions(kcollectd PRIVATE)

target_link_libraries(kcollectd
PUBLIC
  KF5::XmlGui
  KF5::WidgetsAddons
  KF5::IconThemes
  KF5::I18n
  Qt5::Core
  Qt5::Widgets
  Qt5::Gui
  ${Boost_LIBRARIES}
  ${rrd_LIBRARIES}
)
install(TARGETS kcollectd  ${INSTALL_TARGETS_DEFAULT_ARGS})

# desktop-file
install(FILES net.aerusso.kcollectd.desktop DESTINATION ${XDG_APPS_INSTALL_DIR})

# mime-type
# for KDE 4.2 we require at least version 0.23
set(SHARED_MIME_INFO_MINIMUM_VERSION "0.23")
find_package(SharedMimeInfo REQUIRED)
install(FILES kcollectd.xml DESTINATION ${XDG_MIME_INSTALL_DIR})
update_xdg_mimetypes(${XDG_MIME_INSTALL_DIR})

=== debian/changelog ===
kcollectd (0.12.1-1build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 17:03:57 +1100

kcollectd (0.12.1-1build2) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 04:46:52 +0000

kcollectd (0.12.1-1build1) noble; urgency=medium

  * No-change rebuild for boost defaults change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 19 Dec 2023 15:50:46 +0100

kcollectd (0.12.1-1) unstable; urgency=medium

  * New upstream release 0.12.1.
     - Align translations with source code (Closes: #1048793)
  * Bump Standards-Version to 4.6.2, no changes required.

 -- Antonio Russo <aerusso@aerusso.net>  Sat, 30 Sep 2023 22:44:33 -0600

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: kcollectd
 Section: utils
 Priority: optional
-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Antonio Russo <aerusso@aerusso.net>
 Build-Depends: cmake,
                debhelper-compat (= 13),
@@ -22,7 +23,7 @@
                pkg-kde-tools,
                qtbase5-dev,
                shared-mime-info
-Standards-Version: 4.5.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://www.antonioerusso.com/projects/kcollectd
 Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/kcollectd.git

## kcollectd 0.12.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16.0)
cmake_policy(SET CMP0063 NEW)

project(kcollectd VERSION 0.12.2)
set(PROJECT_RELEASE_DATE 2024-12-01)

find_package(ECM REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules/)

set(CMAKE_AUTOMOC ON)
set(CMAKE_INCLUDE_CURRENT_DIR ON)

include(FindPkgConfig)
include(KDEInstallDirs)
include(KDECompilerSettings)
include(KDECMakeSettings)
include(FeatureSummary)
include(ECMInstallIcons)

find_package(Qt6 6.6.0 CONFIG REQUIRED Core Widgets Gui)

# Load the frameworks we need
find_package(KF6 REQUIRED COMPONENTS
  Config
  CoreAddons
  DocTools
  GuiAddons
  KIO
  I18n
  XmlGui
  IconThemes
  WidgetsAddons
)

if(POLICY CMP0167)
  cmake_policy(SET CMP0167 NEW)
endif()
find_package(Boost COMPONENTS filesystem system)

add_definitions(-Wall -g)

# Basedir for collectd
if(NOT RRD_BASEDIR)
  set(RRD_BASEDIR "/var/lib/collectd/rrd")
endif(NOT RRD_BASEDIR)
set(RRD_BASEDIR ${RRD_BASEDIR} CACHE PATH "default path to collectd-data")

# config.h
configure_file(config.h.in config.h)

include_directories(${CMAKE_SOURCE_DIR}
    ${CMAKE_CURRENT_SOURCE_DIR}
    ${CMAKE_CURRENT_BINARY_DIR}
    ${Boost_INCLUDE_DIRS} )

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

subdirs(kcollectd po doc)

=== kcollectd/CMakeLists.txt ===
--- 
+++ 
@@ -43,20 +43,21 @@
 
 target_link_libraries(kcollectd
 PUBLIC
-  KF5::XmlGui
-  KF5::WidgetsAddons
-  KF5::IconThemes
-  KF5::I18n
-  Qt5::Core
-  Qt5::Widgets
-  Qt5::Gui
+  KF6::CoreAddons
+  KF6::XmlGui
+  KF6::WidgetsAddons
+  KF6::IconThemes
+  KF6::I18n
+  Qt6::Core
+  Qt6::Widgets
+  Qt6::Gui
   ${Boost_LIBRARIES}
   ${rrd_LIBRARIES}
 )
 install(TARGETS kcollectd  ${INSTALL_TARGETS_DEFAULT_ARGS})
 
 # desktop-file
-install(FILES kcollectd.desktop DESTINATION ${XDG_APPS_INSTALL_DIR})
+install(FILES net.aerusso.kcollectd.desktop DESTINATION ${XDG_APPS_INSTALL_DIR})
 
 # mime-type
 # for KDE 4.2 we require at least version 0.23

=== doc/en/CMakeLists.txt ===
configure_file(index.docbook.in index.docbook)
kdoctools_create_handbook(${CMAKE_CURRENT_BINARY_DIR}/index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/en SUBDIR kcollectd)

=== debian/changelog ===
kcollectd (0.12.2-2) unstable; urgency=medium

  * Team upload.

  [ Aurélien COUDERC ]
  * Use the KDE Extras team as the maintainer.
  * Switch to debian/watch format version 5.
  * Bump Standards-Version to 4.7.3, no change required.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 14 Feb 2026 16:12:55 +0100

kcollectd (0.12.2-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS with RRDtool 1.9.0. (Closes: #1119741)

 -- Adrian Bunk <bunk@debian.org>  Wed, 03 Dec 2025 12:12:52 +0200

kcollectd (0.12.2-1) unstable; urgency=medium

  * New upstream release 0.12.2.
     - Port to Qt6/KF6
  * Bump Standards-Version to 4.7.0, no changes required.

 -- Antonio Russo <aerusso@aerusso.net>  Fri, 13 Dec 2024 07:57:14 -0700

=== debian/control ===
Source: kcollectd
Section: utils
Priority: optional
Maintainer: Debian KDE Extras Team <pkg-kde-extras@alioth-lists.debian.net>
Uploaders: Antonio Russo <aerusso@aerusso.net>
Build-Depends: cmake,
               debhelper-compat (= 13),
               extra-cmake-modules,
               gettext,
               libboost-filesystem-dev,
               libkf6config-dev,
               libkf6doctools-dev,
               libkf6guiaddons-dev,
               libkf6i18n-dev,
               libkf6iconthemes-dev,
               libkf6kio-dev,
               libkf6widgetsaddons-dev,
               libkf6xmlgui-dev,
               librrd-dev,
               pkgconf,
               pkg-kde-tools,
               qt6-base-dev,
               shared-mime-info
Standards-Version: 4.7.3
Rules-Requires-Root: no
Homepage: https://www.antonioerusso.com/projects/kcollectd
Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/kcollectd.git
Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/kcollectd

Package: kcollectd
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: collectd
Suggests: khelpcenter
Description: simple collectd graphing front-end for KDE
 This package provides a basic KDE application for viewing RRD files
 created by collectd, the system statistics storage daemon. It allows
 easy mouse-driven navigation through data collections and can be used
 as a virtual chart recorder.

=== debian/watch ===
Version: 5
Template: GitLab
Dist: https://gitlab.com/aerusso/kcollectd
Mode: git
Pgp-Mode: gittag
